<template>
  <header>
    <nav
      class="bg-transparent flex flex-row  place-content-between mb-1.5 sticky top-0"
    >
      <div class="flex flex-row mt-2">
        <router-link to="/" ><i class="plane fa-solid fa-plane -rotate-45 mt-1 "></i></router-link>
        <router-link to="/" ><h6 class="logo ml-2px  font-bold">my dream place</h6></router-link>
      </div>
      <div>
        <ul class="flex flex-row justify-center items-center gap-3 mt-2">
          <router-link to="/" ><a>Home</a></router-link>
          <router-link to="/Discover" ><a>Discover</a></router-link>
          <router-link to="/Activities" ><a>Activities</a></router-link>
          <router-link to="/About" ><a>About</a></router-link>
          <router-link to="/Contact" ><a>Contact</a></router-link>
        </ul>
      </div>
      <div v-if="!isLoggedIn" class="mt-1">
        <router-link to="/Login"><button class="bg-blue-1 px-8 py-2 rounded text-white-1">Login</button></router-link> 
      </div>
      <div @click="toggleDropdown" v-else>
        <div class="flex flex-row mt-1" @click.once="toggleDropdown">
        <i class="fa-regular fa-bell mt-3 text-xl"></i>
        <img class="cursor-pointer mt-1 ml-5" src="../../assets/Ellipse 2.png">
      </div>
      <div v-show="dropdownVisible" class="shadow-md p-3">
        <ul>
          <li><a href="#"><span class="text-sm">Manage Account</span></a></li>
          <hr/>
          <li><a href="#"><span class="text-sm">My Trips</span></a></li>
          <hr/>
          <li><a href="#"><span class="text-sm">Reward &amp; Wallet</span></a></li>
          <hr/>
          <li><a href="/" @click="signOut" ><span class="text-sm">Sign Out</span></a></li>
        </ul>
        </div>
      </div>
    </nav>
  </header>
</template>

<script>
import { computed, ref,} from 'vue';
import { useRouter } from 'vue-router';
export default {
  name: "Header",
  setup() {
    const router = useRouter();
    let dropdownVisible = ref(false);
    const isLoggedIn = computed(() => {
      return localStorage.getItem("token");
    });

    const toggleDropdown = () => {
      if(dropdownVisible.value ==true){
        dropdownVisible.value =false
      }
      else{
        dropdownVisible.value=true
      }
    };

    const signOut = () => {
      localStorage.removeItem("token");
      router.push("/");
    };
   
    return {
      isLoggedIn,
      dropdownVisible,
      toggleDropdown,
      signOut,
    };
  },
};
</script>

<style>
.plane{
  color:#2F80ED;
}
/* .logo{
  color:#333333;
} */

</style>
